      SUBROUTINE MAIN_MENU
C----------------------------------------------------------------------
C-
C-   Purpose and Methods : Dispatch routine for LSM_MENUMAIN
C-
C-   Inputs :  None
C-   Outputs : None
C-
C-   Created   20-AUG-90   by MENU_MAKER
C-   Updated  21-AUG-1990  MICHIGAN STATE UNIVERSITY, TRIGGER CONTROL SOFTWARE
C-
C----------------------------------------------------------------------
      IMPLICIT NONE
      CHARACTER*40 COMAND
      LOGICAL GOTOP
      LOGICAL FIRST
      DATA FIRST/.TRUE./
C----------------------------------------------------------------------
      COMAND=' '
    1 CONTINUE
      IF (COMAND.NE.'EXIT'.AND..NOT.GOTOP()) THEN
        CALL MENUDO('Lookup System Manager Program ','LSM_MENM',
     &    COMAND)
        IF(COMAND.EQ.'LOAD_LSM') THEN
          CALL LOAD_LSM
        ELSEIF(COMAND.EQ.'VERI_LSM') THEN
          CALL VERI_LSM
        ELSEIF(COMAND.EQ.'UPDT_LSM') THEN
          CALL UPDT_LSM
        ELSEIF(COMAND.EQ.'PROM_LSM') THEN
          CALL PROM_LSM
        ELSEIF(COMAND.EQ.'SIMU_LSM') THEN
          CALL SIMU_LSM
        ELSEIF(COMAND.EQ.'ZEBO_LSM') THEN
          CALL ZEBO_LSM
        ELSEIF(COMAND.EQ.'ZEBI_LSM') THEN
          CALL ZEBI_LSM
        ELSEIF(COMAND.EQ.'DMPCMN') THEN
          CALL DUMP_COMMON
        ELSEIF(COMAND.EQ.'RANCMN') THEN
          CALL RAND_COMMON
        ELSEIF(COMAND.NE.'EXIT'.AND.COMAND.NE.'BLANK') THEN
          CALL OUTMSG('0No ACTION defined for that command'//CHAR(7))
        ENDIF
        GOTO 1
      ENDIF
      RETURN
      END
